from base64 import b64encode
import hashlib
import os

def ssha(password):
    salt = os.urandom(4)
    h = hashlib.sha1(password.encode("utf-8"))
    h.update(salt)
    return "{SSHA}" + b64encode(h.digest() + salt).decode("utf-8")
