from django.utils.translation import ugettext_lazy as _
import django_tables2 as tables
from django_tables2.utils import A

class EventsTable(tables.Table):
    class Meta:
        attrs = {'class': 'table table-striped table-bordered table-hover table-responsive'}

    display_name = tables.Column(verbose_name=_('Veranstaltung'))
    date_event = tables.Column(verbose_name=_('Datum'))
    max_participants = tables.Column(verbose_name=_('Max. Teilnehmer'))
    date_registration = tables.Column(verbose_name=_('Anmeldung bis'))

    cn = tables.LinkColumn('register_event_by_cn', args=[A('cn')], verbose_name='', text=_('Anmelden'))
